# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.HighlightRule

Packages that use HighlightRule
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of HighlightRule in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return HighlightRule
Modifier and Type
Method
Description
`static HighlightRule`
StructureFactory.`createHighlightRule()`
Creates an empty highlight rule structure.

## Uses of HighlightRule in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type HighlightRule
Modifier and Type
Method
Description
`IHighlightRule`
SimpleElementFactory.`createHighlightRule(HighlightRule highlightRule)`

## Uses of HighlightRule in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type HighlightRule
Modifier and Type
Method
Description
`IHighlightRule`
ISimpleElementFactory.`createHighlightRule(HighlightRule highlightRule)`
Create `IHighlightRule` instance